org.hibernate.validator.internal.metadata.descriptor

## Class ExecutableDescriptorImpl

- java.lang.Object
- - org.hibernate.validator.internal.metadata.descriptor.ElementDescriptorImpl
  - - org.hibernate.validator.internal.metadata.descriptor.ExecutableDescriptorImpl

- All Implemented Interfaces:
    Serializable, ConstructorDescriptor, ElementDescriptor, ExecutableDescriptor, MethodDescriptor

      public class ExecutableDescriptorImpl
      extends ElementDescriptorImpl
      implements ConstructorDescriptor, MethodDescriptor

  Describes a validated constructor or method.
  Author:
    Gunnar Morling
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface javax.validation.metadata.ElementDescriptor

      `ElementDescriptor.ConstraintFinder`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExecutableDescriptorImpl(Type returnType, String name, Set<ConstraintDescriptorImpl<?>> crossParameterConstraints, ReturnValueDescriptor returnValueDescriptor, List<ParameterDescriptor> parameters, boolean defaultGroupSequenceRedefined, boolean isGetter, List<Class<?>> defaultGroupSequence)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `CrossParameterDescriptor` | `getCrossParameterDescriptor()`
    `String` | `getName()`
    `List<ParameterDescriptor>` | `getParameterDescriptors()`
    `ReturnValueDescriptor` | `getReturnValueDescriptor()`
    `boolean` | `hasConstrainedParameters()`
    `boolean` | `hasConstrainedReturnValue()`
    `boolean` | `isGetter()`
    `String` | `toString()`

    - ### Methods inherited from class org.hibernate.validator.internal.metadata.descriptor.ElementDescriptorImpl

      `findConstraints, getConstraintDescriptors, getElementClass, hasConstraints`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface javax.validation.metadata.ExecutableDescriptor

      `findConstraints, getConstraintDescriptors, hasConstraints`

    - ### Methods inherited from interface javax.validation.metadata.ElementDescriptor

      `getElementClass`

- - ### Constructor Detail

    - #### ExecutableDescriptorImpl

          public ExecutableDescriptorImpl(Type returnType,
                                  String name,
                                  Set<ConstraintDescriptorImpl<?>> crossParameterConstraints,
                                  ReturnValueDescriptor returnValueDescriptor,
                                  List<ParameterDescriptor> parameters,
                                  boolean defaultGroupSequenceRedefined,
                                  boolean isGetter,
                                  List<Class<?>> defaultGroupSequence)

  - ### Method Detail

    - #### getName

          public String getName()

      Specified by:
        `getName` in interface `ExecutableDescriptor`

    - #### getParameterDescriptors

          public List<ParameterDescriptor> getParameterDescriptors()

      Specified by:
        `getParameterDescriptors` in interface `ExecutableDescriptor`

    - #### getReturnValueDescriptor

          public ReturnValueDescriptor getReturnValueDescriptor()

      Specified by:
        `getReturnValueDescriptor` in interface `ExecutableDescriptor`

    - #### hasConstrainedParameters

          public boolean hasConstrainedParameters()

      Specified by:
        `hasConstrainedParameters` in interface `ExecutableDescriptor`

    - #### hasConstrainedReturnValue

          public boolean hasConstrainedReturnValue()

      Specified by:
        `hasConstrainedReturnValue` in interface `ExecutableDescriptor`

    - #### getCrossParameterDescriptor

          public CrossParameterDescriptor getCrossParameterDescriptor()

      Specified by:
        `getCrossParameterDescriptor` in interface `ExecutableDescriptor`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### isGetter

          public boolean isGetter()

Copyright © 2007-2014 Red Hat, Inc. All Rights Reserved